Download it now!
Bug 133036 - CRASH: customizing notebookbar (gen)
Summary: CRASH: customizing notebookbar (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2020-05-14 15:36 UTC by Xisco Faulí
Modified: 2020-07-06 09:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-05-14 15:36:55 UTC
I think I finally found how to reproduce https://crashreport.libreoffice.org/stats/signature/SvxNotebookbarConfigPage::searchNodeandAttribute(std::vector%3CSvxNotebookbarConfigPage::NotebookbarEntries,std::allocator%3CSvxNotebookbarConfigPage::NotebookbarEntries%3E%20%3E%20&,std::vector%3CSvxNotebookbarConfigPage::CategoriesEntries,std::allocator%3CSvxNotebookba

Steps to reproduce:
1. Open Writer
2. Go to tools - Customize
3. Notebookbar tab
4. Click on Scope dropdown list
5. Click on the first entry

-> Crash

Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 56d381c3deb213a40c54ce6e194f79f0334b5d7b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-05-14 15:38:10 UTC
The issue is happening since the notebookbar tab was introduced in

author	Sumit Chauhan <sumitcn25@gmail.com>	2019-05-31 14:59:54 +0530
committer	Szymon Kłos <szymon.klos@collabora.com>	2019-06-14 15:17:33 +0200
commit	015dc88a595c1c92d2b724cd868aecb07199f995 (patch)
tree	075dddcd4a125cd84cd249700cd7dc36cb218a9c
parent	ddbee6231c12581a57d0d8dbbda16c05c715806c (diff)
UI for the Notebookbar Customization tab

Bisected with: bibisect-linux64-6.4

Adding Cc: to Sumit Chauhan
Comment 2 Xisco Faulí 2020-05-14 15:39:15 UTC
it also crashes in gtk3 since

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bc0e0f633b05c4f91b6695488fc9e5c127507ba5

author	Caolán McNamara <caolanm@redhat.com>	2020-04-09 11:41:00 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-04-16 20:28:24 +0200
commit	bc0e0f633b05c4f91b6695488fc9e5c127507ba5 (patch)
tree	cca168c8aced9207ffa877693b856440764de341
parent	de1dadd591862e38242cc2de7a4a658a9a8b67ac (diff)
tdf#131120 use a replacement for GtkComboBox

@Caolán, I thought you might be interested in this issue
Comment 3 Caolán McNamara 2020-05-15 09:56:57 UTC
The m_xSaveInListBox is all cases, except this notebookbar case, contains a pointer to a SaveInData. The Notebookbar case contains "notebookbarTabScope" which is different.

In

commit 015dc88a595c1c92d2b724cd868aecb07199f995
Date:   Fri May 31 14:59:54 2019 +0530

    UI for the Notebookbar Customization tab

this special id is checked for in one location but the crashing case isn't covered.
Comment 4 Caolán McNamara 2020-05-15 09:58:20 UTC
not sure why the code is this way in the first place, but I can make it not crash at least
Comment 5 Commit Notification 2020-05-15 11:53:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/10cdeed12ef834f5df3b6577c1d9efcc811d6938

tdf#133036 notebookbar customize uses a special combobox id

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-05-15 12:04:06 UTC
no crash in master, backport to 6-4 in gerrit
Comment 7 Xisco Faulí 2020-05-19 18:23:58 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-05-19 18:29:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/595fcef52915f0ac54ea704b0f9dee85b43efa56

tdf#133036 notebookbar customize uses a special combobox id

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-05-19 18:33:02 UTC
Verified with gen too

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 10 Joel Madero 2020-07-05 19:48:04 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=134399

Associated bug with commit: https://bugs.documentfoundation.org/show_bug.cgi?id=134399

Not sure if it was purposeful change but I explained why I think it either should be reverted back to previous behavior (the find dialog) or implement the change that I suggested.
Comment 11 Caolán McNamara 2020-07-06 09:06:25 UTC
"implement the change that I suggested" sounds like it could be your opportunity to attempt to implement directly the change you desire